#
# bare/monitor.mk: makefile definitions for "bare board" monitor
#

ifdef KITOBJ

ifndef DBGSIG
  DBGSIG	=dbgsig
endif

ifndef DBGSUP
  DBGSUP	=dbgsup
endif

BARESRC	=barelow.sx barexcpt.sx baremon.c \
	 baretty.c bareroot.c baregmon.c \
	 sbrk.c dbg.c $(DBGSUP).c $(DBGSIG).c tty.c 

BARELOW	=barelow.o

BAREOBJ	=baretty.o bareroot.o baregmon.o barexcpt.o baremon.o \
	 sbrk.o tty.o

BAREDBG = dbg.o $(DBGSUP).o $(DBGSIG).o

# Define in case we have no RAM monitor, these will get overridden
# by the real monitor.mk, if there is one
MONSRC	=
MONLOW	=$(BARELOW)
MONOBJ	=$(BAREOBJ)
MONBDG = $(BAREDBG)
endif

MONFEATURES = ttydev

#DLFMT  =s3		# no ram download
#DLSYMS	=-y		# no ram download
