#
# kit/gnusim/sbd.mk: GNU simulator "board" configuration
#

SBDDIRS		=../gnusim
SBDFLAGS  	=-DGNUSIM -D__SIM

# Disable h/w timer profiling
KITFLAGS	=-D_SDE_EXT_PROFIL

TLB		=no
FPU		=yes
CACHES		=
WPOINTS		=r3k

# These three will change for different simulated architectures
CPU	  	=r3k
ISA		=-mips1
ENDIAN	  	=-EB

SBDSRC		=sbdser.sx sbdmisc.sx 
SBDOBJ		=sbdser.o sbdmisc.o noclock.o
#SBDLOW		=

MONITOR		=gnusim
BAREMON		=gnusim

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80000400
DLBASE_U	=a0000400
