#
# mdimon/monitor.mk: makefile definitions for MIPS MDI "monitor"
#

ifdef KITOBJ
BARESRC	=mdilow.sx mdixcpt.sx mdimon.c mditty.c \
	 mdiroot.c mdifile.c mdisyscall.sx mdigmon.c \
	 sbrk.c tty.c

BARELOW	=mdilow.o

BAREOBJ	=mdixcpt.o mditty.o mdimon.o \
	 mdiroot.o mdifile.o mdigmon.o \
	 sbrk.o tty.o

# TODO
#   Need to think about what to do when downloading a program 
#   into memory on a board which is otherwise uninitialised.
#   Need a stripped down version of ../share/romlow.sx
MONSRC	=
MONLOW	=$(BARELOW)
MONOBJ	=$(BAREOBJ)
endif

MON_NATIVE_RDEBUG = yes
MONFEATURES = ttydev

# Set DLFMT to allow creation of downloadable program. 
# This will depend on whether a particular target can download
# to RAM via MDI before the DRAM interface has been initialised.
#DLFMT	=s3
