#
# mdimon/monitor.mk: makefile definitions for MIPS MDI "monitor"
#

ifdef KITOBJ
BARESRC	=mtsprtlx.c mtspmon.c mtsplow.sx mtsproot.c mtsptty.c \
	mtspxcpt.sx mtspsyscall.c mtspfile.c sbrk.c \
	tty.c dbg.c mtspdbgsup.c dbgsig.c

BARELOW	=mtsplow.o 

BAREOBJ	=mtsprtlx.o mtspmon.o mtsplow.o mtsproot.o mtsptty.o \
	mtspxcpt.o mtspsyscall.o mtspfile.o sbrk.o \
	tty.o

BAREDBG = dbg.o mtspdbgsup.o dbgsig.o

# Define in case we have no RAM monitor, these will get overridden
# by the real monitor.mk, if there is one
MONSRC	=
MONLOW	=$(BARELOW)
MONOBJ	=$(BAREOBJ)
MONDBG = $(BAREDBG)
endif

MONFEATURES = ttydev
