include	$(ROOT)/../defines.mk

_VPATH	:= .
include $(ROOT)/arch/$(ARCH)/Makefile.inc
include $(ROOT)/csu/Makefile.inc
include $(ROOT)/str/Makefile.inc
include $(ROOT)/std/Makefile.inc
include $(ROOT)/stdio/Makefile.inc
include $(ROOT)/time/Makefile.inc
include $(ROOT)/px/Makefile.inc
include $(ROOT)/sys/Makefile.inc

vpath	%.c		$(_VPATH)
vpath	%.cc		$(_VPATH)
vpath	%.s		$(_VPATH)
vpath	%.sx		$(_VPATH)
vpath	%.S		$(_VPATH)
vpath	%.h		$(_VPATH)
vpath	Makefile	$(_VPATH)

CPPFLAGS = -I$(ROOT)/include
CFLAGS += $(VAR)
ASFLAGS += $(VAR)

all: libc.a #csu

libc.a: Makefile $(LIBOBJ)
	$(AR) rcs $@ $(LIBOBJ)

install: libc.a #install-csu
	mkdir -p $(DESTDIR)/$(SUBDIR)
	rm -f $(DESTDIR)/$(SUBDIR)/libc.a
	cp -p libc.a $(DESTDIR)/$(SUBDIR)/libc.a

#install-csu: csu
#	@rm -f $(addprefix $(DESTDIR)/,$(CSUOBJ))
#	cp -p $(CSUOBJ) $(DESTDIR)

#csu: Makefile $(CSUOBJ)
#

clean:
	rm -f libc.a *.o core* *~
