#ident "lib/c/sys/siglist.c: Copyright (c) MIPS Technologies, Inc. All rights reserved."

/*
 * Copyright (c) 1996-2003 MIPS Technologies, Inc.
 * 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *      * Redistributions of source code must retain the above copyright
 *        notice, this list of conditions and the following disclaimer.
 *      * Redistributions in binary form must reproduce the above
 *      copyright
 *        notice, this list of conditions and the following disclaimer
 *        in the documentation and/or other materials provided with
 *        the distribution.
 *      * Neither the name of MIPS Technologies Inc. nor the names of its
 *        contributors may be used to endorse or promote products derived
 *        from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * siglist.c: SDE system library
 */


#include <sys/signal.h>

const char * const sys_siglist[NSIG] = {
  "Signal 0",
  "Hangup",
  "Interrupt",
  "Quit",
  "Illegal instruction",
  "Trace/breakpoint trap",
  "Aborted",
  "Emulation trap",
  "Arithmetic exception",
  "Killed",
  "Bus error",
  "Segmentation fault",
  "Bad system call",
  "Broken pipe",
  "Alarm clock",
  "Terminated",
  "Urgent I/O condition",
  "Stopped (signal)",
  "Stopped (user)",
  "Continued",
  "Child status changed",
  "Stopped (tty input)",
  "Stopped (tty output)",
  "I/O possible",
  "CPU time limit exceeded",
  "File size limit exceeded",
  "Virtual timer expired",
  "Profiling timer expired",
  "Window size changed",
  "Information request",
  "User defined signal 1",
  "User defined signal 2",
  "Signal 32",
  "Real-time signal 0",
  "Real-time signal 1",
  "Real-time signal 2",
  "Real-time signal 3",
  "Real-time signal 4",
  "Real-time signal 5",
  "Real-time signal 6",
  "Real-time signal 7",
  "Real-time signal 8",
  "Real-time signal 9",
  "Real-time signal 10",
  "Real-time signal 11",
  "Real-time signal 12",
  "Real-time signal 13",
  "Real-time signal 14",
  "Real-time signal 15",
  "Real-time signal 16",
  "Real-time signal 17",
  "Real-time signal 18",
  "Real-time signal 19",
  "Real-time signal 20",
  "Real-time signal 21",
  "Real-time signal 22",
  "Real-time signal 23",
  "Real-time signal 24",
  "Real-time signal 25",
  "Real-time signal 26",
  "Real-time signal 27",
  "Real-time signal 28",
  "Real-time signal 29",
  "Real-time signal 30",
  "Real-time signal 31",
  };
