#ident "lib/c/sys/signame.c: Copyright (c) MIPS Technologies, Inc. All rights reserved."

/*
 * Copyright (c) 1996-2003 MIPS Technologies, Inc.
 * 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *      * Redistributions of source code must retain the above copyright
 *        notice, this list of conditions and the following disclaimer.
 *      * Redistributions in binary form must reproduce the above
 *      copyright
 *        notice, this list of conditions and the following disclaimer
 *        in the documentation and/or other materials provided with
 *        the distribution.
 *      * Neither the name of MIPS Technologies Inc. nor the names of its
 *        contributors may be used to endorse or promote products derived
 *        from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * siglist.c: SDE system library
 */


#include <sys/signal.h>

const char * const sys_signame[NSIG] = {
  "0",
  "HUP",
  "INT",
  "QUIT",
  "ILL",
  "TRAP",
  "ABRT",
  "EMT",
  "FPE",
  "KILL",
  "BUS",
  "SEGV",
  "SYS",
  "PIPE",
  "ALRM",
  "TERM",
  "URG",
  "STOP",
  "TSTP",
  "CONT",
  "CHLD",
  "TTIN",
  "TTOU",
  "IO",
  "XCPU",
  "XFSZ",
  "VTALRM",
  "PROF",
  "WINCH",
  "INFO",
  "USR1",
  "USR2",
  "32",
  "RT0",
  "RT1",
  "RT2",
  "RT3",
  "RT4",
  "RT5",
  "RT6",
  "RT7",
  "RT8",
  "RT9",
  "RT10",
  "RT11",
  "RT12",
  "RT13",
  "RT14",
  "RT15",
  "RT16",
  "RT17",
  "RT18",
  "RT19",
  "RT20",
  "RT21",
  "RT22",
  "RT23",
  "RT24",
  "RT25",
  "RT26",
  "RT27",
  "RT28",
  "RT29",
  "RT30",
  "RT31",
  };
