#
# kit/NITRO/sbd.mk: LSI Logic NITRO II -  BDMR4011 eval board
#					 (big-endian)
#

SBDDIRS		=../NITRO
SBDFLAGS  	=
SBDOPTIONS	='-Aoption(r3kcompat)'
KITFLAGS	=-DPMONTBLOFFSET=0x200
CPU	  	=r4k
CPUVARIANT	=cw401x
TLB		=cw10
CACHES		=cw10
FPU		=no
ISA		=-mips2
ENDIAN	  	=-EB

SBDSRC		=sbdmisc.sx sbdfreq.c sbdser.sx sbdreset.sx
SBDOBJ		=sbdmisc.o sbdfreq.o sbdser.o r4kclock.o
SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

MONITOR		=pmon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
