#
# atlas/sbd.mk: MIPS Technologies Atlas board (generic)
#

SBDDIRS		=../atlas
SBDFLAGS  	=-DATLAS
#CPU	  	=??
#CPUVARIANT	=??
#ISA		=??
#FPU		=??
#ENDIAN	  	=??
PCI		=yes

SBDSRC		=sbdser.sx sbdmisc.sx sbdfreq.c sbdrtc.c sbdtod.c \
		 sbdfrom.c sbdpci.c

SBDOBJ		=sbdser.o sbdmisc.o sbdfreq.o sbdrtc.o sbdtod.o \
		 sbdfrom.o flashrom.o r4kclock.o \
		 sbdpci.o

# No board-reset support yet
#SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

# Handle YAMON environment
NVENV		=sbdenv

# Have Flash support
SBDFEATURES	=flashdev

MONITOR		=yamon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80100000
DLBASE_U	=a0100000
