#
# malta/sbdmdi.mk: MIPS Technologies Malta board (generic)
# EJTAG with MDI i/o version
#

include $(KITDIR)/malta/sbd.mk

# Override and use MDI instead of YAMON for i/o
KITFLAGS	+=-DMDIMON
MONITOR		=mdimon
BAREMON		=mdimon

# Can't determine memory size from YAMON when loaded by MDI, so set 
# fixed size stack and heap for MDI code here (stack=256K heap=16M)
KITFLAGS	+=-DDFLT_STACK_SIZE=0x40000 -DDFLT_HEAP_SIZE=0x1000000

DLFMT		=s3
SBDMKF		=../malta/fs2.mk
