_VPATH	+=:$(ROOT)/arch/mips

# Library members defined in libgcc2.c.
# Now in libgcc.a
#LIB2OBJ	=_divdi3.o _moddi3.o _udivdi3.o _umoddi3.o _udiv_w_sdiv.o \
#	 _udivmoddi4.o _cmpdi2.o _ucmpdi2.o \
#	 _op_new.o _new_handler.o _op_delete.o _trampoline.o

ifneq ($(findstring __NO_FLOAT,$(VAR)),__NO_FLOAT)

# Now in libgcc.a
#LIB2OBJ +=_floatdidf.o _floatdisf.o \
#	_fixunsdfdi.o _fixdfdi.o _fixunssfdi.o _fixsfdi.o

# Repatriated to libe.a
#FPEOBJ = \
#	_divdf3.o _muldf3.o _negdf2.o _absdf2.o _adddf3.o _subdf3.o \
#	_fixdfsi.o _fixsfsi.o _fixunsdfsi.o _fixunssfsi.o \
#	_floatsidf.o _floatsisf.o \
#	_fixdfdi.o _fixsfdi.o _fixunsdfdi.o _fixunssfdi.o \
#	_floatdidf.o _floatdisf.o \
#	_truncdfsf2.o _extendsfdf2.o \
#	_addsf3.o _negsf2.o _abssf2.o _subsf3.o _mulsf3.o _divsf3.o \
#	_eqdf2.o _nedf2.o _gtdf2.o _gedf2.o _ltdf2.o _ledf2.o \
#	_eqsf2.o _nesf2.o _gtsf2.o _gesf2.o _ltsf2.o _lesf2.o \
#	_unorddf2.o _unordsf2.o \
#	_sqrtdf2.o _sqrtsf2.o
endif

LIBOBJ	+= setjmp.o gmon.o

ifndef CODESIZEOPT
LIBOBJ	+= memcmp.o memcpy.o memset.o
LIBOBJ	+= strcmp.o strcpy.o strlen.o
endif

#LIBOBJ	+= faststrcmp.o faststrcpy.o faststrlen.o
LIBOBJ	+= mulsi.o mulsidi.o multab.o divsi.o

ifeq ($(SDE_MAJOR),5)
LIBOBJ	+= muldi.o divdi.o
endif

#LIBOBJ	+= fenv.o
#LIBOBJ	+= saverest.o
#LIBOBJ	+= $(LIB2OBJ)
#LIBOBJ	+= $(FPEOBJ)

#$(LIB2OBJ): libgcc2.c
#	$(CC) $(CFLAGS) -c -I/usr/sde/src/tools/gcc -DL$(subst .o,,$@) $< -o $@

#$(FPEOBJ): gccfpe.c
#	$(CC) $(CFLAGS) -c -DFNNAME=_$(subst .o,,$@) -DL$(subst .o,,$@) $< -o $@

setjmp.o: $(ROOT)/arch/mips/setjmp.S
	$(CC) $(CFLAGS) -c $< -o $@

ifndef CODESIZEOPT
memcmp.o: $(ROOT)/arch/mips/memcmp.S
	$(CC) $(CFLAGS) -c $< -o $@
memcpy.o: $(ROOT)/arch/mips/memcpy.S
	$(CC) $(CFLAGS) -c $< -o $@
memset.o: $(ROOT)/arch/mips/memset.S
	$(CC) $(CFLAGS) -c $< -o $@
strcmp.o: $(ROOT)/arch/mips/strcmp.S
	$(CC) $(CFLAGS) -c $< -o $@
strcpy.o: $(ROOT)/arch/mips/strcpy.S
	$(CC) $(CFLAGS) -c $< -o $@
strlen.o: $(ROOT)/arch/mips/strlen.S
	$(CC) $(CFLAGS) -c $< -o $@
endif

saverest.o: $(ROOT)/arch/mips/saverest.S
	$(CC) $(CFLAGS) -c $< -o $@
