#define IEEE754_GCCSOFTFLOAT	1	/* use GCC softfloat interface */
#define IEEE754_NO_XCPT		1	/* disable exception handling */
#define IEEE754_NO_FLAGS	1	/* disable IEEE flag bits */
#define IEEE754_NO_SNANS	1	/* disable SNaN handling */
#define IEEE754_NO_STICKY_NANS	1	/* disable NaN propagation */
#define IEEE754_FIXED_ROUNDING	1	/* fixed round-nearest mode */

#define ieee754dp_add	__adddf3
#define ieee754dp_sub	__subdf3
#define ieee754dp_mul	__muldf3
#define ieee754dp_div	__divdf3
#define ieee754dp_neg	__negdf2
#define ieee754dp_abs	__absdf2
#define ieee754dp_nsqrt	__sqrtdf2
#define ieee754dp_order	__cmpdf2

#define ieee754dp_tint	__fixdfsi
#define ieee754dp_tlong	__fixdfdi
#define ieee754dp_tuns	__fixunsdfsi
#define ieee754dp_tulong __fixunsdfdi
#define ieee754dp_fint	__floatsidf
#define ieee754dp_funs	__floatunsidf
#define ieee754dp_flong	__floatdidf
#define ieee754dp_fulong __floatundidf

#define ieee754sp_add	__addsf3
#define ieee754sp_sub	__subsf3
#define ieee754sp_mul	__mulsf3
#define ieee754sp_div	__divsf3
#define ieee754sp_neg	__negsf2
#define ieee754sp_abs	__abssf2
#define ieee754sp_nsqrt	__sqrtsf2
#define ieee754sp_order	__cmpsf2

#define ieee754sp_tint	__fixsfsi
#define ieee754sp_tlong	__fixsfdi
#define ieee754sp_tuns	__fixunssfsi
#define ieee754sp_tulong __fixunssfdi
#define ieee754sp_fint	__floatsisf
#define ieee754sp_funs	__floatunsisf
#define ieee754sp_flong	__floatdisf
#define ieee754sp_fulong __floatundisf

#define ieee754dp_fsp	__extendsfdf2
#define ieee754sp_fdp	__truncdfsf2

#define ieee754dp_nldexp	__ldexp
#define ieee754dp_nfrexp	__frexp
#define ieee754dp_nmodf		__modf
#define ieee754dp_nfstr		__strtod

#define ieee754sp_nldexp	__ldexpf
#define ieee754sp_nfstr		__strtof
