#include <stdlib.h>
#include <stdio.h>
#include <sys/errno.h>
#include <sys/signal.h>
#include <mips/cpu.h>
#include <mips/cpu.h>
#include <p4000/cpu_board.h>

#include "conc.h"

void hello( Process *, int );

volatile int stop_plc = 0;

int main()
{
	Process *p;
	int i;

	/* force initial priority low */
	ProcToLow();

	/* make sure display is visible */
	*(volatile unsigned long *) PA_TO_KVA1 (ALPHN_BLNK_) = RESET_ONE;

	/* initialise processes */
	for (i = 0; i <= 3; i++) {
	    p = ProcAlloc(hello,0,1,i);
	    ProcRunLow(p);
	}

	/* wait 10 seconds */
	ProcWait (10000000/64);

	stop_plc = 1;
	while (1)
	    ProcReschedule();

	exit(0);
}



void hello ( Process *p, int idx )
{
    volatile unsigned long *display;
    long lcount = 0;
    int n;

    display = (unsigned long *) PA_TO_KVA1 (ALPHN_CHAR (idx));
    while (1) {
	if (idx == 0 && stop_plc) {
	    while (1)
		ProcReschedule ();
	}
	else {
	    /* 100-300 us of execution */
	    for (n = 100 + rand() % 200; n != 0; n--)
		*display = "0123456789abcdef"[lcount++ & 0xf] << 24;
	    ProcReschedule ();
	}
    }
}

